# Eclipse does not yet export virtual maven provides, so filter out the requires
%define _requires_exceptions mvn(org.eclipse.core:resources)

Name:           maven-eclipse-plugin
Version:        2.9
Release:        %mkrel 13
Summary:        Maven Eclipse Plugin

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-eclipse-plugin/
Source0:        http://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip
Patch0:         %{name}-compat.patch
Patch1:         %{name}-exception.patch
Patch2:         %{name}-ioexception.patch

BuildArch:      noarch

# Basic stuff
BuildRequires: jpackage-utils
BuildRequires: java-devel >= 1:1.6.0

# Maven and its dependencies
BuildRequires: maven-local
BuildRequires: maven-test-tools
BuildRequires: maven-plugin-testing-tools
# Others
BuildRequires: apache-commons-io
BuildRequires: xmlunit
BuildRequires: eclipse-platform
BuildRequires: plexus-resources
BuildRequires: bsf
BuildRequires: jaxen
BuildRequires: dom4j
BuildRequires: xom
BuildRequires: saxpath
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)

Provides:       maven2-plugin-eclipse = 0:%{version}-%{release}
Obsoletes:      maven2-plugin-eclipse <= 0:2.0.8

%description
The Eclipse Plugin is used to generate Eclipse IDE files (.project, .classpath 
and the .settings folder) from a POM.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q 
%patch0 -p1
%patch1 -p1
%patch2 -p1

sed -i -e "s|3.3.0-v20070604|3.7.100.v20110510-0712|g" pom.xml

# Remove easymock dependency (tests are skipped)
%pom_remove_dep easymock:

%build
# Create a local repo for the eclipse dependency because eclipse
# does not yet export virtual mvn provides or ship pom files
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
CORE_FAKE_VERSION="3.7.100.v20110510-0712"
CORE_PLUGIN_DIR=$MAVEN_REPO_LOCAL/org/eclipse/core/resources/$CORE_FAKE_VERSION

mkdir -p $CORE_PLUGIN_DIR
plugin_file=`ls /usr/lib{,64}/eclipse/plugins/org.eclipse.core.resources_*jar || :`

ln -s "$plugin_file" $CORE_PLUGIN_DIR/resources-$CORE_FAKE_VERSION.jar

# Skip tests because they do not compile
%mvn_build -- -Dmaven.test.skip=true -Denforcer.skip=true -Dmaven.repo.local=$MAVEN_REPO_LOCAL

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE DEPENDENCIES README-testing.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Tue Jan 07 2014 dmorgan <dmorgan> 2.9-13.mga4
+ Revision: 565266
- Fix broken require

* Mon Jan 06 2014 dmorgan <dmorgan> 2.9-12.mga4
+ Revision: 565261
- Fix deps exclusion

* Mon Jan 06 2014 dmorgan <dmorgan> 2.9-11.mga4
+ Revision: 565193
- Rebuild against current java stack
- Build with xmvn
- Rebuild against new javapackages
- Remove unneeded dependencies on maven-doxia

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 2.9-1.mga3
+ Revision: 291504
- New version 2.9
- Build in pure maven 3 environment
- Build with maven 3.x

* Thu Apr 28 2011 dmorgan <dmorgan> 2.8-5.mga1
+ Revision: 92699
- Rebuild after bootstrapping
- imported package maven-eclipse-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 09 2010 Weinan Li <weli@redhat.com> - 2.8-3
- Remove version from BR eclipse-platform

* Fri Jun 25 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.8-2
- Update R/BRs, make eclipse.core.resources path dynamic

* Fri Jun 11 2010 Weinan Li <weli@redhat.com> - 2.8-1
- Initial Package
